Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authorization
Interface RoleEditorMBean

All Known Subinterfaces:
  DefaultRoleMapperMBean

public interface RoleEditorMBean
extends weblogic.management.commo.StandardInterface, RoleReaderMBean

Provides a set of methods for creating, editing, and removing policies. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `createRole(java.lang.String resourceId, java.lang.String roleName, java.lang.String expression)` Creates role for a resource.
`void` | `removeRole(java.lang.String resourceId, java.lang.String roleName)` Removes a role from a resource.
`void` | `setRoleExpression(java.lang.String resourceId, java.lang.String roleName, java.lang.String expression)` Sets the policy expression for a role.

Methods inherited from interface weblogic.management.security.authorization.RoleReaderMBean
`getRoleExpression, listRolesForResource, roleExists`

Method Detail

### createRole

    public void createRole(java.lang.String resourceId,
                           java.lang.String roleName,
                           java.lang.String expression)
                    throws AlreadyExistsException,
                           CreateException

  Creates role for a resource.

  Parameters:
    `resourceId` - - The resource that scopes the new role. Each resource has its predefined 'hierachy'. This new role is applicable to all of the given resouce's descendants if any. A null indicates a global role, no scoping resource, which applies to all resources within the container.
    `roleName` - - The name of the role that this method creates. A null value will trigger NullPointerException.
    `expression` - - The expression policy designates which user or group having this named 'role'. A null value indicates this role is not granted to anyone.
  Throws:
    AlreadyExistsException -
    CreateException -

### removeRole

    public void removeRole(java.lang.String resourceId,
                           java.lang.String roleName)
                    throws NotFoundException,
                           RemoveException

  Removes a role from a resource.

  Parameters:
    `resourceId` - - The resource that scopes the role. Each role has a scoping resource. A null indicates a global role.
    `roleName` - - The role that this method removes. A null value will trigger NullPointerException.
  Throws:
    NotFoundException -
    RemoveException -

### setRoleExpression

    public void setRoleExpression(java.lang.String resourceId,
                                  java.lang.String roleName,
                                  java.lang.String expression)
                           throws NotFoundException,
                                  CreateException

  Sets the policy expression for a role.

  Parameters:
    `resourceId` - - The resource that scopes the new role. Each resource has its predefined 'hierachy'. This role is applicable to all of the given resouce's descendants if any. A null indicates a global role, no scoping resource, which applies to all resources within the container.
    `roleName` - - The name of the role for which this method replaces a policy. A null value will trigger NullPointerException.
    `expression` - - The expression policy designates which user or group having this named 'role'. A null value indicates this role is not granted to anyone.
  Throws:
    NotFoundException -
    CreateException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD